Bug 46429 - Inertial scrolling switches to zoom if you start pressing a new shortcut key (cmd)
Summary: Inertial scrolling switches to zoom if you start pressing a new shortcut key ...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All Mac OS X (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: MacOS-Wishlist
  Show dependency treegraph
 
Reported: 2012-02-22 00:28 UTC by Pauli
Modified: 2020-10-01 21:56 UTC (History)
9 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Pauli 2012-02-22 00:28:48 UTC
Scroll through a document using a double finger slide on the track pad.
Before the scrolling stops but after your fingers are removed form the track pad, press the command key.  The command-scoll zooming behaviour takes effect immediately.
Comment 1 lauregl 2012-04-19 04:10:45 UTC
I can reproduce this with LO 3.5.2 on 10.7.3 not sure though if it's a bug or just app normal behavior
Comment 2 Pauli 2012-04-19 04:32:46 UTC
Bug or not, it really is annoying :)
Comment 3 sasha.libreoffice 2012-05-23 03:41:08 UTC
Thanks for bugreport
Suppose we use mouse scroll instead of track pad. The same result. On Windows and Linux. In LO and Firefox.
On Windows exit program that disables touch pad when user types something on keyboard. (Very useful thing). May be exist program that disables keyboard when user scrolls something using track pad?
Comment 4 Jason Ogden 2012-08-18 15:23:22 UTC
I was about to add this ticket "Pressing command after scroll but during scroll inertia causes inadvertent zooming", but I suppose you don't like duplicate tickets. It's probably not a bug so much as an annoyance. This is confirmed on OS X 10.7.4, LibreOffice 3.6.0.4.

This is primarily because Command+Tab is the Mac shortcut to switch applications. I am routinely scrolling through a document and then switching to another app. When I return, I'm on a very strange zoom level. For a while I didn't understand why–it was confusing and felt like a bug. Now I understand why it happens and how to prevent it, but it still catches me quite often.

I see two options:

1. Hopefully Easy: Change the shortcut to Option+Scroll instead. There is some precedence: eg. Photoshop, Illustrator. The same annoyance doesn't occur in those apps.

2. Probably less easy: Add some extra qualifying logic to Cmd-Scroll. For example: Require Command to be pressed prior to the scrolling action, to trigger the zooming function. OR You could stop scroll inertia from trigger a zoom, in other words, only the physical scroll action plus a Command key press would cause zooming.
Comment 5 sasha.libreoffice 2012-08-20 06:43:04 UTC
Thanks for explanation why it so important on MacOS X. Other os uses Alt-Tab for switching applications. And users encounter no problems. But MacOS X uses Ctrl-Tab. And this results in problems for users.
Comment 6 sasha.libreoffice 2012-08-20 06:44:49 UTC Comment hidden (obsolete)
Comment 7 QA Administrators 2015-01-05 17:52:42 UTC Comment hidden (obsolete)
Comment 8 barefootguru 2015-02-26 00:17:11 UTC
Yes, this irritating bug is still present in LO 4.4.0.3.  OS X 10.10.2
Comment 9 librebugfiler 2016-03-05 22:47:24 UTC
Still present in LibreOffice 5.1.0.3 on OS X 10.9.5
Really annoying!
Other bugs like "zoom on save" are obviously the same cause.
Comment 10 Jed 2016-03-14 20:38:43 UTC
It is driving me nuts as well! I'm running LO 5.0.4.2 on Mac OSX 10.9.5 I made sure it was turned off in the OS under the Accessibility System Preference panel. 

What I observe is if I scroll up to the top or bottom of the document and then press the command (apple) button the document suddenly zooms in/out respectively. It appears the scroll action (from either a track pad or scroll wheel on a mouse) is buffered in some way by the program or OS when it can not be fully applied to scrolling the document. The remaining "scroll" action is then applied to whatever key is next pressed. So instead of using say command-s to save after scrolling to the top, the document is suddenly zoomed in to >200% and then saved.
Comment 11 QA Administrators 2017-05-22 13:20:35 UTC Comment hidden (obsolete)
Comment 12 barefootguru 2017-05-23 03:44:27 UTC
Still present in 5.3.2.2, still incredibly annoying.  Sierra 10.12.4
Comment 13 James 2017-05-26 06:05:43 UTC
It must be difficult to imagine this happening often if you're not a mac user, but it really does pop up all the time as the command key is a part of all major shortcuts. 

The entire issue is with the inertia from the scroll, as it's often literally impossible to know when the inertiatic scrolling has finished (if you're at the top of a document or if it's, say, a one page document and you're zoomed to 'fit to screen').

If it were possible to change the scroll/zoom shortcut to use the option key this would entire mitigate the issue.
Comment 14 eisa01 2017-11-05 21:19:09 UTC
This bug has been here from the start as well

Still present on

Version: 6.0.0.0.alpha1+
Build ID: 7e03c4eed72452fdfb87341214a21956c08ba969
CPU threads: 2; OS: Mac OS X 10.12.6; UI render: default; 
TinderBox: MacOSX-x86_64@49-TDF, Branch:master, Time: 2017-10-25_23:45:02
Locale: en-US (en_US.UTF-8); Calc: group
Comment 15 QA Administrators 2018-11-06 03:56:31 UTC Comment hidden (obsolete)
Comment 16 barefootguru 2018-11-06 20:06:35 UTC
Yes, this daily (hourly?!) annoyance is still present in LO 6.1.2.1, macOS 10.14
Comment 17 jeromeflipo 2018-11-16 11:08:14 UTC
This issue is the biggest annoyance I've ever encountered while working with LibreOffice.

I'm running into this issue more than 5 times per every hour spent with Calc, only because I scroll and press the Cmd key a millisecond before the inertial scroll has finished (e.g to copy a selected cell). I end up zooming the sheet in and out to stupid levels for no good reasons, to a point I can't see anything and have to reset the zoom every few minutes.

I'm no developer so I can't suggest fix but I'm stunned that this hasn't been resolved over the past 6 years.

How do other Mac Calc users cope with such a frequent and exasperating problem? Is Calc never used on Mac by developers so that only quiet users experience this, or just stop using Calc? 

Do other users wait patiently for the inertial scroll to stop, after forcing themselves to slow down their use of Calc to avoid this single issue?

Do other power users simply disable inertial scrolling at the OS level altogether? In my experience, this is just trading a huge annoyance with another and both are insufferable on daily computer usage.

More importantly, why would any one want one scroll move to turn from scroll to zoom in the same gesture?! How can this be helpful in any way? Why not stop the scroll as soon as a Cmd/Ctrl key is pressed? Is this technically impossible? If so, why not simply allow users to disable the "Cmd+Scroll to zoom" option somewhere in the preferences?

Please. Help. I'm as mad as hell and I can't take this anymore. I'm really considering switching back to proprietary software because of this one tiny bug :'(
Comment 18 Nikolai Grigoriev 2019-03-14 00:04:31 UTC
I agree that this behaviour is extremely annoying in Calc. Please make that configurable.
Comment 19 Ewen McNeill 2019-11-13 23:34:50 UTC
This bug affects me on MacOS 10.14.6 (and earlier versions) with many LibreOffice versions over many years, pretty much every time I run LibreOffice.  Usually multiple times a day; it's the most annoying misfeature in LibreOffice IMHO.

As the original reporter states, it's a race condition between the (slow) LibreOffice handling of scroll events and the (fast) LibreOffice handling of keyboard events, which results in LibreOffice interpreting scroll events that were triggered by a user action 1/4 to 1/2 a second before the Cmd key press as related to the cmd key, and thus a request to zoom.

Since a *very* common action in office documents is to scroll around them with the mouse, and then, eg, use Cmd-C/Cmd-V to copy/paste between parts of the document, the race is extremely easy to trigger, hence many users running into it many times a day.

There is no good reason why an extremely rare operation (zooming) should be bound to an extremely frequently accidentally triggered keyboard/mouse combination (cmd scroll).  

At minimum there should be a configuration option to disable "cmd scroll zooming", and ideally the entire misfeature of cmd-scroll zomming should be removed entirely.  (When required zooming can easily be done from the zoom menu, and it's something users might want to do once or twice a day, not every few minutes.)
Comment 20 Chris Shaw 2019-11-14 00:19:45 UTC
Agreed. Cmd-Scroll doesn't seem to be common for zooming on OSX - it doesn't do it on any other application I tried. Pinch zooming is the standard (which works on LO). Can Cmd-Scroll to Zoom be disabled on LO under OSX, or have an option to disable it?
Comment 21 Chris Shaw 2019-11-14 00:23:40 UTC
Incidentally, it's particularly annoying when scrolling to the top or left of the spreadsheet, since visible movement has stops when it hits the edge of the spreadsheet, but inertia is still activating the scroll function.

I often inertia scroll to the top-left to check a heading total. The scrolling hits A1 and stops, the total is OK and I hit Cmd-Tab to switch away from LO, only to see it zoom huge as I switch away
Comment 22 bruce088 2020-01-16 20:51:34 UTC
Just another voice that I find this terribly frustrating — for me, most often when I'm trying to hit Cmd-S for save and suddenly zoom in to 500%.
Comment 23 eisa01 2020-05-03 10:37:32 UTC
Neither Excel or Numbers use cmd+scroll as zoom on macOS

Excel uses ctrl+scroll which is more sensible. They actually have the same exact bug as LO
Numbers doesn't let you zoom this way

Best fix would be to change the shortcut to ctrl+scroll as that would avoid most issues
Second easiest fix is probably removing the shortcut, but that may be annoying for people using an external mouse
Comment 24 irrevdjohn 2020-07-27 15:00:36 UTC
This bug occasionally catches me out, and help requests on ask.LO indicate this continues to be a problem for other Mac users too.

Maybe developers see command-scroll as a feature, rather than a bug. Let me assure them that it is not!

I endorse eisa01’s suggestion that ctrl+scroll be adopted instead.

I’d add that although LO offers ample opportunities to customise keyboard combinations for shortcuts, there is no option to customise mouse+keyboard behaviour. There are a couple of mouse-related items in Preferences --> Libre Office > View, but that’s all, as far as I can see.

If it’s not fixed in LO 7, can we make it a priority request for LO 8 at the latest?
Comment 25 Jarno Suni 2020-10-01 21:56:41 UTC
This may not help Mac users, but I have created some software that helps to prevent unwanted zooming when using X Window System: https://github.com/jarnos/block-scroll-mod-x11
(Not restricted to LO.)